evolution description too narrow

Bug #428292 reported by Nicolò Chieffo on 2009-09-12
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Messaging Menu
Fix Released
Low
Ted Gould
indicator-messages (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: indicator-messages

Recently the application description has been added to the indicator applet.
Unfortunately it is ellipsized too early (see the screenshot)

ProblemType: Bug
Architecture: amd64
Date: Sat Sep 12 09:52:47 2009
DistroRelease: Ubuntu 9.10
Package: indicator-messages 0.2.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.31-10.32-generic
SourcePackage: indicator-messages
Uname: Linux 2.6.31-10-generic x86_64

Related branches

Nicolò Chieffo (yelo3) wrote :
summary: - evolution desctiption too narrow
+ evolution description too narrow

Yes. This does look like an important issue. I'm not quite sure how we should solve it. Probably just a minimum width for the entire menu.

Changed in indicator-messages (Ubuntu):
status: New → Confirmed
Changed in indicator-messages:
status: New → Confirmed
Ted Gould (ted) wrote :

Ah, sorry. Using a dummy account "Inkscape nightly uploader" and didn't realize it. Those comments/changes were from me :)

Changed in indicator-messages:
importance: Undecided → Low
Changed in indicator-messages (Ubuntu):
importance: Undecided → Low
Changed in indicator-messages:
assignee: nobody → Ted Gould (ted)
milestone: none → ubuntu-9.10-beta-freeze
Janne Hyötylä (janne-hyotyla) wrote :

As written in the duplicate, I see two solutions:

1. Make width dynamic depending on longest entry, but up to a reasonable max width (either fixed or percentage of horizontal resolution). Any app violating the max width should be then considered as a bug.

2. Set a fixed width and popup full text when hovering with mouse over an entry

Matthew Paul Thomas (mpt) wrote :

The Empathy item has the same problem: "Send and receive…". The menu isn't nearly as wide as the available space.

On Wed, 2009-09-23 at 16:06 +0000, Matthew Paul Thomas wrote:
> The Empathy item has the same problem: "Send and receive…". The menu
> isn't nearly as wide as the available space.

The way that it works currently is that the description uses what ever
space it is given. So what determines the width is the other items in
the menu, and then the description makes it work within that space.

Nikola Kovacs (nx) wrote :

This isn't just a problem with evolution. In my case Pidgin's description is truncated. IMO a tooltip would be the best solution here.

Ted Gould (ted) on 2009-09-24
Changed in indicator-messages:
milestone: ubuntu-9.10-beta-freeze → 0.2.4
status: Confirmed → Fix Committed
Ted Gould (ted) on 2009-09-24
Changed in indicator-messages:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-messages - 0.2.4-0ubuntu1

---------------
indicator-messages (0.2.4-0ubuntu1) karmic; urgency=low

  * Upstream release 0.2.4 (LP: #436093)
    - Merging in the min menu width feature (LP: #428292)
    - Merging in icon scaling branch from trunk. Now better icons (LP: #433143)
    - Merging in updated trunk (LP: #434097 and LP: #435184)
    - add i18n support
    - Prevent null entries (LP: #435184)
    - add a path for indicators in /usr/share (LP: #434097)

 -- Ted Gould <email address hidden> Thu, 24 Sep 2009 13:07:46 -0500

Changed in indicator-messages (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers